> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get relayer address and nonce

> Fetches the relayer address and nonce for a specific user.



## OpenAPI

````yaml openapi/polymarket-relayer.json GET /apis/v1/polymarket/relay-payload
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Relayer
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/deployed
    - /apis/v1/polymarket/nonce
    - /apis/v1/polymarket/relay-payload
    - /apis/v1/polymarket/relayer/api/keys
    - /apis/v1/polymarket/submit
    - /apis/v1/polymarket/transaction
    - /apis/v1/polymarket/transactions
  x-aisa-document:
    facts_hash: 4aa318753fd96be7557dff84a8218aab5638e17dbcb96a9d4d1aaac2278117e3
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:874b104f5f45239878bfa90fd0973478c966065a6ec2e5bf6e619c0f5f268fb3
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-relayer
  x-aisa-catalogs:
    polymarket-relayer:
      title: Polymarket Relayer
      description: ''
      x-aisa-document:
        facts_hash: 4aa318753fd96be7557dff84a8218aab5638e17dbcb96a9d4d1aaac2278117e3
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/relay-payload:
    get:
      tags:
        - default
      summary: Get relayer address and nonce
      description: Fetches the relayer address and nonce for a specific user.
      operationId: any_polymarket_relayer_apis_v1_polymarket_relay_payload
      parameters:
        - name: address
          in: query
          required: true
          description: User's signer address
          schema:
            type: string
            description: Ethereum address (0x-prefixed, 40 hex chars)
            pattern: ^0x[a-fA-F0-9]{40}$
            example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
          example: '0x77837466dd64fb52ECD00C737F060d0ff5CCB575'
        - name: type
          in: query
          required: true
          description: Type of nonce to retrieve
          schema:
            type: string
            enum:
              - PROXY
              - SAFE
          example: PROXY
      responses:
        '200':
          description: Relay payload retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response0D96414269Ca_RelayPayloadResponse'
              example:
                address: '0x4da9395388791c22684e03779c3de10934eb9cfb'
                nonce: '31'
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response0D96414269Ca_RelayPayloadResponse:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/Response0D96414269Ca_Address'
        nonce:
          type: string
          description: Current nonce value
          example: '31'
    Response0D96414269Ca_Address:
      type: string
      description: Ethereum address (0x-prefixed, 40 hex chars)
      pattern: ^0x[a-fA-F0-9]{40}$
      example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.